Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.criterion
Enum MatchMode

    java.lang.Object
      java.lang.Enum<MatchMode>
          org.hibernate.criterion.MatchMode

All Implemented Interfaces:
  Serializable, Comparable<MatchMode>

    public enum MatchMode

extends Enum<MatchMode>

Represents an strategy for matching strings using "like".

See Also:
  `Example.enableLike(MatchMode)`

Enum Constant Summary
`ANYWHERE` Match the pattern anywhere in the string
`END` Match the end of the string to the pattern
`EXACT` Match the entire string to the pattern
`START` Match the start of the string to the pattern

Method Summary
`abstract String` | `toMatchString(String pattern)` convert the pattern, by appending/prepending "%"
`static MatchMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MatchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final MatchMode EXACT

  Match the entire string to the pattern

### START

    public static final MatchMode START

  Match the start of the string to the pattern

### END

    public static final MatchMode END

  Match the end of the string to the pattern

### ANYWHERE

    public static final MatchMode ANYWHERE

  Match the pattern anywhere in the string

Method Detail

### values

    public static MatchMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MatchMode c : MatchMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MatchMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toMatchString

    public abstract String toMatchString(String pattern)

  convert the pattern, by appending/prepending "%"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.